### Hierarchy

- ObjectReference

## Index

### Constructors

- constructor

### Properties

- consume
- key
- timeout
- value

## Constructors

### constructor

- new ObjectReference(key: string, value: any): ObjectReference

- - Defined in src/services/ReferenceService.ts:7

  #### Parameters

  - ##### key: string

  - ##### value: any

  #### Returns ObjectReference

## Properties

### consume

consume: function

- Defined in src/services/ReferenceService.ts:5

#### Type declaration

- - (): any

  - #### Returns any

### key

key: string

- Defined in src/services/ReferenceService.ts:9

### timeout

timeout: any

- Defined in src/services/ReferenceService.ts:7

### value

value: any

- Defined in src/services/ReferenceService.ts:9

Generated using TypeDoc